GriffonApplicationUtils (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class GriffonApplicationUtils

    java.lang.Object
      griffon.util.GriffonApplicationUtils

    public final class GriffonApplicationUtils
    extends Object

Assorted utility methods and constants.

Authors:
  Andres Almiray

Field Summary
`private static boolean` | `is64Bit`
`private static boolean` | `isJdk14`
`private static boolean` | `isJdk15`
`private static boolean` | `isJdk16`
`private static boolean` | `isJdk17`
`private static boolean` | `isLinux`
`private static boolean` | `isMacOSX`
`private static boolean` | `isSolaris`
`private static boolean` | `isUnix` True if running Linux, Solaris or MacOSX
`private static boolean` | `isWindows`
`private static boolean` | `isWindows2000`
`private static boolean` | `isWindows2003`
`private static boolean` | `isWindows7`
`private static boolean` | `isWindows95`
`private static boolean` | `isWindows98`
`private static boolean` | `isWindowsNT`
`private static boolean` | `isWindowsVista`
`private static boolean` | `isWindowsXP`
`private static String` | `javaVersion`
`private static String` | `osArch`
`private static String` | `osName`
`private static String` | `osVersion`
`static String` | `platform`

Constructor Summary
`private GriffonApplicationUtils()`

Method Summary
`static boolean` | `getIs64Bit()`
`static boolean` | `getIsJdk14()`
`static boolean` | `getIsJdk15()`
`static boolean` | `getIsJdk16()`
`static boolean` | `getIsJdk17()`
`static boolean` | `getIsLinux()`
`static boolean` | `getIsMacOSX()`
`static boolean` | `getIsSolaris()`
`static boolean` | `getIsUnix()`
`static boolean` | `getIsWindows()`
`static boolean` | `getIsWindows2000()`
`static boolean` | `getIsWindows2003()`
`static boolean` | `getIsWindows7()`
`static boolean` | `getIsWindows95()`
`static boolean` | `getIsWindows98()`
`static boolean` | `getIsWindowsNT()`
`static boolean` | `getIsWindowsVista()`
`static boolean` | `getIsWindowsXP()`
`static String` | `getJavaVersion()`
`static String` | `getOsArch()`
`static String` | `getOsName()`
`static String` | `getOsVersion()`
`static String` | `getPlatform()`
`static boolean` | `is64Bit()`
`static boolean` | `isJdk14()`
`static boolean` | `isJdk15()`
`static boolean` | `isJdk16()`
`static boolean` | `isJdk17()`
`static boolean` | `isLinux()`
`static boolean` | `isMacOSX()`
`static boolean` | `isSolaris()`
`static boolean` | `isUnix()`
`static boolean` | `isWindows()`
`static boolean` | `isWindows2000()`
`static boolean` | `isWindows2003()`
`static boolean` | `isWindows7()`
`static boolean` | `isWindows95()`
`static boolean` | `isWindows98()`
`static boolean` | `isWindowsNT()`
`static boolean` | `isWindowsVista()`
`static boolean` | `isWindowsXP()`
`static MetaClass` | `metaClassOf(Object obj)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### is64Bit

    private static final boolean is64Bit

### isJdk14

    private static final boolean isJdk14

### isJdk15

    private static final boolean isJdk15

### isJdk16

    private static final boolean isJdk16

### isJdk17

    private static final boolean isJdk17

### isLinux

    private static final boolean isLinux

### isMacOSX

    private static final boolean isMacOSX

### isSolaris

    private static final boolean isSolaris

### isUnix

    private static final boolean isUnix

  True if running Linux, Solaris or MacOSX

### isWindows

    private static final boolean isWindows

### isWindows2000

    private static final boolean isWindows2000

### isWindows2003

    private static final boolean isWindows2003

### isWindows7

    private static final boolean isWindows7

### isWindows95

    private static final boolean isWindows95

### isWindows98

    private static final boolean isWindows98

### isWindowsNT

    private static final boolean isWindowsNT

### isWindowsVista

    private static final boolean isWindowsVista

### isWindowsXP

    private static final boolean isWindowsXP

### javaVersion

    private static final String javaVersion

### osArch

    private static final String osArch

### osName

    private static final String osName

### osVersion

    private static final String osVersion

### platform

    public static final String platform

Constructor Detail

### GriffonApplicationUtils

    private GriffonApplicationUtils()

Method Detail

### getIs64Bit

    public static boolean getIs64Bit()

### getIsJdk14

    public static boolean getIsJdk14()

### getIsJdk15

    public static boolean getIsJdk15()

### getIsJdk16

    public static boolean getIsJdk16()

### getIsJdk17

    public static boolean getIsJdk17()

### getIsLinux

    public static boolean getIsLinux()

### getIsMacOSX

    public static boolean getIsMacOSX()

### getIsSolaris

    public static boolean getIsSolaris()

### getIsUnix

    public static boolean getIsUnix()

### getIsWindows

    public static boolean getIsWindows()

### getIsWindows2000

    public static boolean getIsWindows2000()

### getIsWindows2003

    public static boolean getIsWindows2003()

### getIsWindows7

    public static boolean getIsWindows7()

### getIsWindows95

    public static boolean getIsWindows95()

### getIsWindows98

    public static boolean getIsWindows98()

### getIsWindowsNT

    public static boolean getIsWindowsNT()

### getIsWindowsVista

    public static boolean getIsWindowsVista()

### getIsWindowsXP

    public static boolean getIsWindowsXP()

### getJavaVersion

    public static String getJavaVersion()

### getOsArch

    public static String getOsArch()

### getOsName

    public static String getOsName()

### getOsVersion

    public static String getOsVersion()

### getPlatform

    public static String getPlatform()

### is64Bit

    public static boolean is64Bit()

### isJdk14

    public static boolean isJdk14()

### isJdk15

    public static boolean isJdk15()

### isJdk16

    public static boolean isJdk16()

### isJdk17

    public static boolean isJdk17()

### isLinux

    public static boolean isLinux()

### isMacOSX

    public static boolean isMacOSX()

### isSolaris

    public static boolean isSolaris()

### isUnix

    public static boolean isUnix()

### isWindows

    public static boolean isWindows()

### isWindows2000

    public static boolean isWindows2000()

### isWindows2003

    public static boolean isWindows2003()

### isWindows7

    public static boolean isWindows7()

### isWindows95

    public static boolean isWindows95()

### isWindows98

    public static boolean isWindows98()

### isWindowsNT

    public static boolean isWindowsNT()

### isWindowsVista

    public static boolean isWindowsVista()

### isWindowsXP

    public static boolean isWindowsXP()

### metaClassOf

    public static MetaClass metaClassOf(Object obj)

Groovy Documentation